﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace xamDataGridDifferentCellFormats
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            ObservableCollection<Person> coll = new ObservableCollection<Person>();
            coll.Add(new Person() { Name = "John", Age = 34 });
            coll.Add(new Person() { Name = "John", Age = 34 });
            coll.Add(new Person() { Name = "Smith", Age = 34 });
            coll.Add(new Person() { Name = "John", Age = 34 });
            coll.Add(new Person() { Name = "Smith", Age = 34 });

            xamDataGrid1.DataSource = coll;
        }
    }

    public class MyConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value.ToString() != "2147483647")
            {
                if (value.ToString() == "0")
                {
                    return "Nothing";
                }
                else
                    return value.ToString();
            }
            return Binding.DoNothing;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return Binding.DoNothing;
        }
    }


    public class Person
    {
        public String Name { get; set; }
        public int Age { get; set; }
    }
}
